<configuration>
	<appender name="console" class="ch.qos.logback.core.ConsoleAppender">
		<encoder>
			<charset>UTF-8</charset>
			<pattern>[%d{HH:mm:ss.SSS}][%-5level][%-54logger{54}] %msg%n</pattern>
		</encoder>
	</appender>
	<appender name="file" class="ch.qos.logback.core.rolling.RollingFileAppender">
		<file>./logs/debug.log</file>
		<encoder>
			<charset>UTF-8</charset>
			<pattern>[%d{HH:mm:ss.SSS}][%-5level][%-54logger{54}] %msg%n</pattern>
		</encoder>
		<rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
			<fileNamePattern>./logs/debug/debug.%d{yyyy-MM-dd}.log</fileNamePattern>
			<maxHistory>30</maxHistory>
		</rollingPolicy>
	</appender>
	<root level="info">
		<appender-ref ref="file" />
		<appender-ref ref="console" />
	</root>
</configuration>
